[ANN] pysqlite 2.5.0 released

Matthias Huening mhuening at zedat.fu-berlin.de
Sun Sep 7 17:17:14 CEST 2008


Hi,


> - - Connection.enable_load_extension(enabled) to allow/disallow extension
>   loading. Allows you to use fulltext search extension, for example ;-)

The following code (from the docs) produces an error:

from pysqlite2 import dbapi2 as sqlite3
con = sqlite3.connect(":memory:")
# Load the fulltext search extension
con.enable_load_extension(True)
con.execute("select load_extension('./fts3.so')")
con.enable_load_extension(False)


Error is:

con.execute("select load_extension('./fts3.so')")
pysqlite2._sqlite.OperationalError: Das angegebene Modul wurde nicht gefunden.

Where should I look for the module?

Matthias



More information about the Python-list mailing list